# eric5.Utilities.py3flakes.messages

### Global Attributes

None

### Classes

DuplicateArgument | Class defining the "Duplicate Argument" message.
ImportShadowedByLoopVar | Class defining the "Import Shadowed By Loop Var" message.
ImportStarUsed | Class defining the "Import Star Used" message.
LateFutureImport | Class defining the "Late Future Import" message.
Message | Class defining the base for all specific message classes.
RedefinedFunction | Class defining the "Redefined Function" message.
RedefinedWhileUnused | Class defining the "Redefined While Unused" message.
UndefinedExport | Class defining the "Undefined Export" message.
UndefinedLocal | Class defining the "Undefined Local Variable" message.
UndefinedName | Class defining the "Undefined Name" message.
UnusedImport | Class defining the "Unused Import" message.
UnusedVariable | Class defining the "Unused Variable" message.

### Functions

None

## DuplicateArgument

Class defining the "Duplicate Argument" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

DuplicateArgument | Constructor

### Static Methods

None

#### DuplicateArgument (Constructor)

DuplicateArgument(filename, lineno, name)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the duplicate argument (string)

Up

## ImportShadowedByLoopVar

Class defining the "Import Shadowed By Loop Var" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

ImportShadowedByLoopVar | Constructor

### Static Methods

None

#### ImportShadowedByLoopVar (Constructor)

ImportShadowedByLoopVar(filename, lineno, name, orig_lineno)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the shadowed import (string)
orig_lineno
  line number of the import (integer)

Up

## ImportStarUsed

Class defining the "Import Star Used" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

ImportStarUsed | Constructor

### Static Methods

None

#### ImportStarUsed (Constructor)

ImportStarUsed(filename, lineno, modname)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
modname
  name of the module imported using star import (string)

Up

## LateFutureImport

Class defining the "Late Future Import" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

LateFutureImport | Constructor

### Static Methods

None

#### LateFutureImport (Constructor)

LateFutureImport(filename, lineno, names)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
names
  names of the imported futures (string)

Up

## Message

Class defining the base for all specific message classes.

### Derived from

object

### Class Attributes

message
message_args

### Class Methods

None

### Methods

Message | Constructor
__str__ | Special method return a string representation of the instance object.
getMessageData | Public method to get the individual message data elements.

### Static Methods

None

#### Message (Constructor)

Message(filename, lineno)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)

#### Message.__str__

__str__()

Special method return a string representation of the instance object.

Returns:
  string representation of the object (string)

#### Message.getMessageData

getMessageData()

Public method to get the individual message data elements.

Returns:
  tuple containing file name, line number and message (string, integer, string)

Up

## RedefinedFunction

Class defining the "Redefined Function" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

RedefinedFunction | Constructor

### Static Methods

None

#### RedefinedFunction (Constructor)

RedefinedFunction(filename, lineno, name, orig_lineno)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the redefined function (string)
orig_lineno
  line number of the original definition (integer)

Up

## RedefinedWhileUnused

Class defining the "Redefined While Unused" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

RedefinedWhileUnused | Constructor

### Static Methods

None

#### RedefinedWhileUnused (Constructor)

RedefinedWhileUnused(filename, lineno, name, orig_lineno)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the redefined object (string)
orig_lineno
  line number of the original definition (integer)

Up

## UndefinedExport

Class defining the "Undefined Export" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

UndefinedExport | Constructor

### Static Methods

None

#### UndefinedExport (Constructor)

UndefinedExport(filename, lineno, name)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  undefined exported name (string)

Up

## UndefinedLocal

Class defining the "Undefined Local Variable" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

UndefinedLocal | Constructor

### Static Methods

None

#### UndefinedLocal (Constructor)

UndefinedLocal(filename, lineno, name, orig_lineno)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the prematurely referenced variable (string)
orig_lineno
  line number of the variable definition (integer)

Up

## UndefinedName

Class defining the "Undefined Name" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

UndefinedName | Constructor

### Static Methods

None

#### UndefinedName (Constructor)

UndefinedName(filename, lineno, name)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  undefined name (string)

Up

## UnusedImport

Class defining the "Unused Import" message.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

UnusedImport | Constructor

### Static Methods

None

#### UnusedImport (Constructor)

UnusedImport(filename, lineno, name)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the unused import (string)

Up

## UnusedVariable

Class defining the "Unused Variable" message.

Indicates that a variable has been explicitly assigned to but not actually used.

### Derived from

Message

### Class Attributes

message

### Class Methods

None

### Methods

UnusedVariable | Constructor

### Static Methods

None

#### UnusedVariable (Constructor)

UnusedVariable(filename, lineno, name)

Constructor

filename
  name of the file (string)
lineno
  line number (integer)
name
  name of the unused variable (string)

Up